## python-django 1.6.11

=== debian/changelog ===
python-django (1.6.11-0ubuntu1.3) trusty-security; urgency=medium

  * SECURITY UPDATE: content spoofing in the default 404 page
    - debian/patches/CVE-2019-3498.patch: properly quote string in
      django/views/defaults.py.
    - CVE-2019-3498

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 08 Jan 2019 14:00:29 -0500

python-django (1.6.11-0ubuntu1.2) trusty-security; urgency=medium

  * SECURITY UPDATE: DoS in urlize and urlizetrunc template filters
    - debian/patches/CVE-2018-7536.patch: fix backtracking in
      django/utils/html.py, add test to tests/utils_tests/test_html.py.
    - CVE-2018-7536
  * SECURITY UPDATE: DoS in truncatechars_html and truncatewords_html
    template filters
    - debian/patches/CVE-2018-7537.patch: fix backtracking in
      django/utils/text.py, add test to tests/utils_tests/test_text.py.
    - CVE-2018-7537

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 05 Mar 2018 15:52:37 +0100

python-django (1.6.11-0ubuntu1.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Open redirect and possible XSS attack via
    user-supplied numeric redirect URLs
    - debian/patches/CVE-2017-7233.patch: fix is_safe_url() with numeric
      URLs in django/utils/http.py, added tests to
      tests/utils_tests/test_http.py.
    - CVE-2017-7233
  * SECURITY UPDATE: Open redirect vulnerability in
    django.views.static.serve()
    - debian/patches/CVE-2017-7234.patch: remove redirect from
      django/views/static.py.
    - CVE-2017-7234

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 29 Mar 2017 07:38:12 -0400

python-django (1.6.11-0ubuntu1) trusty; urgency=medium

  * Update to final upstream 1.6 microrelease (LP: #1644346)
  * Drop patches included upstream:
    - debian/patches/07_translation_encoding_fix.diff, ticket21869.diff,
      CVE-2014-0472.patch, CVE-2014-0473.patch, CVE-2014-0474.patch,
      CVE-2014-0472-regression.patch, drop_fix_ie_for_vary_1_6.diff,
      is_safe_url_1_6.diff, CVE-2014-0480.patch, CVE-2014-0481.patch,
      CVE-2014-0482.patch, CVE-2014-0483.patch, CVE-2014-0483-bug23329.patch,
      CVE-2014-0483-bug23431.patch, CVE-2015-0219.patch, CVE-2015-0220.patch,
      CVE-2015-0221.patch, CVE-2015-0222.patch, CVE-2015-2316.patch, and
      CVE-2015-2317.patch

 -- Scott Kitterman <scott@kitterman.com>  Wed, 23 Nov 2016 14:41:31 -0500

python-django (1.6.1-2ubuntu0.16) trusty-security; urgency=medium

  * SECURITY UPDATE: user with hardcoded password created when running
    tests on Oracle
    - debian/patches/CVE-2016-9013.patch: remove hardcoded password in
      django/db/backends/oracle/creation.py, added note to
      docs/ref/settings.txt.
    - CVE-2016-9013
  * SECURITY UPDATE: DNS rebinding vulnerability when DEBUG=True
    - debian/patches/CVE-2016-9014.patch: properly check ALLOWED_HOSTS in
      django/http/request.py, updated docs/ref/settings.txt, added test to
      tests/requests/tests.py.
    - CVE-2016-9014

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 31 Oct 2016 10:14:20 -0400

python-django (1.6.1-2ubuntu0.15) trusty-security; urgency=medium

  * SECURITY UPDATE: CSRF protection bypass on a site with Google Analytics
    - debian/patches/CVE-2016-7401.patch: simplify cookie parsing in
      django/http/cookie.py, add tests to tests/httpwrappers/tests.py,
      tests/requests/tests.py.
    - CVE-2016-7401

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 26 Sep 2016 07:36:53 -0400

python-django (1.6.1-2ubuntu0.14) trusty-security; urgency=medium

  * SECURITY REGRESSION: is_safe_url() with non-unicode url (LP: #1553251)
    - debian/patches/CVE-2016-2512-regression.patch: updated to final
      upstream fix.
    - CVE-2016-2512

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 07 Mar 2016 08:50:01 -0500

python-django (1.6.1-2ubuntu0.13) trusty-security; urgency=medium

  * SECURITY REGRESSION: is_safe_url() with non-unicode url (LP: #1553251)
    - debian/patches/CVE-2016-2512-regression.patch: force url to unicode
      in django/utils/http.py, added test to
      tests/utils_tests/test_http.py.
    - CVE-2016-2512

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 04 Mar 2016 11:07:40 -0500

python-django (1.6.1-2ubuntu0.12) trusty-security; urgency=medium

  * SECURITY UPDATE: malicious redirect and possible XSS attack via
    user-supplied redirect URLs containing basic auth
    - debian/patches/CVE-2016-2512.patch: prevent spoofing in
      django/utils/http.py, added test to tests/utils_tests/test_http.py.
    - CVE-2016-2512
  * SECURITY UPDATE: user enumeration through timing difference on password
    hasher work factor upgrade
    - debian/patches/CVE-2016-2513.patch: fix timing in
      django/contrib/auth/hashers.py, added note to
      docs/topics/auth/passwords.txt, added tests to
      django/contrib/auth/tests/test_hashers.py.
    - debian/control: added python-mock to Build-Depends
    - CVE-2016-2513

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 25 Feb 2016 14:41:20 -0500

python-django (1.6.1-2ubuntu0.11) trusty-security; urgency=medium

  * SECURITY UPDATE: Settings leak possibility in date template filter
    - debian/patches/CVE-2015-8213.patch: check format type in
      django/utils/formats.py, added test to tests/i18n/tests.py.
    - CVE-2015-8213

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 18 Nov 2015 15:15:27 -0500

python-django (1.6.1-2ubuntu0.10) trusty-security; urgency=medium

  * SECURITY UPDATE: denial of service by filling session store
    - debian/patches/CVE-2015-596x.patch: don't create empty sessions in
      django/contrib/sessions/backends/base.py,
      django/contrib/sessions/backends/cached_db.py,
      django/contrib/sessions/middleware.py, added tests to
      django/contrib/sessions/tests.py, updated docs in
      docs/topics/http/sessions.txt. 
    - CVE-2015-5963
    - CVE-2015-5964

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 13 Aug 2015 11:49:44 -0400


