=== debian/changelog ===
python-django (1.7.1-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 21 Dec 2014 22:20:38 +0100

python-django (1.7.1-1) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * New upstream bugfix release.
  * Drop 01_fix_test_loaddata_not_existant_fixture_file.patch, merged
    upstream.
  * Update Standards-Version to 3.9.6.
  * Add lintian overrides for package-contains-timestamped-gzip (false
    positive).

  [ Brian May ]
  * Fix django-admin wrapper to not even consider using python 2.6 as
    that version is unsupported with Django 1.7.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 27 Oct 2014 16:37:41 +0100

python-django (1.7-3) unstable; urgency=medium

  * Add 01_fix_test_loaddata_not_existant_fixture_file.patch
    to fix FTBFS with Python 3.4.2. Closes: #765117
  * Improve migrate-south script to look for Python files in the current dir.
    ./manage.py implicitely has the current directory but when we use
    django-admin it's not the case. Thanks to Uwe Kleine-Koenig for the
    report.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 15 Oct 2014 10:45:27 +0200

python-django (1.7-2~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Disable some build-depends not available in wheezy.

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 05 Oct 2014 17:22:45 +0200

python-django (1.7-2) unstable; urgency=medium

  * Release to unstable.
  * Add a migrate-south sample script to help users apply their South
    migrations. Thanks to Brian May.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 17 Sep 2014 14:15:11 +0200

python-django (1.7-1) experimental; urgency=medium

  * New major upstream release.
  * Add a NEWS file to document the incompatibility with South.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 08 Sep 2014 10:19:12 +0200

python-django (1.7~c3-1) experimental; urgency=medium

  * New upstream release candidate with security fixes:
    https://www.djangoproject.com/weblog/2014/aug/20/security/

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 22 Aug 2014 22:50:32 +0200

python-django (1.7~c2-2) experimental; urgency=medium

  * Merge changes from 1.6.5-4:
    * Don't output stuff to stdout in django-admin. Closes: #757145
    * Update Vcs-* fields since the packaging repository moved to git.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 08 Aug 2014 14:26:47 +0200

python-django (1.7~c2-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 30 Jul 2014 20:47:10 +0200

python-django (1.7~c1+20140722-2) experimental; urgency=medium

  * Move django-admin manual page in python-django-common. Bump version
    constraint in Breaks/Replaces accordingly.
  * Drop conflicting django-admin in python-django and python3-django that
    were not removed as usual because upstream stopped installing them as
    django-admin.py.
  * Drop extra license files.
  * Fix shebang lines in python3-django.
  * Drop empty left-over /usr/bin directories in python-django/python3-django.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 22 Jul 2014 23:29:30 +0200

python-django (1.7~c1+20140722-1) experimental; urgency=medium

  * New upstream release candidate. We want this version in jessie so we
    should prepare now.
  * Snapshot tarball generated with "python setup.py sdist" after having
    applied fix submitted in https://code.djangoproject.com/ticket/23072
  * Added python-sqlparse, python-tz to Recommends
  * Added other optional dependencies (python-memcache, python-pil,
    python-bcrypt) to Suggests
  * Add all those dependencies in Build-Depends for the benefit of the
    test suite.
  * Run the test suite for python2 and python3.
  * Differentiate descriptions of python2 and python3 packages. 

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 21 Jul 2014 21:57:07 +0200
