## python-django 1.7.6

=== debian/changelog ===
python-django (1.7.6-1ubuntu2.3~cloud0) trusty-kilo; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 25 Nov 2015 06:56:43 +0000

python-django (1.7.6-1ubuntu2.3) vivid-security; urgency=medium

  * SECURITY UPDATE: Settings leak possibility in date template filter
    - debian/patches/CVE-2015-8213.patch: check format type in
      django/utils/formats.py, added test to tests/i18n/tests.py.
    - CVE-2015-8213

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 18 Nov 2015 15:13:51 -0500

python-django (1.7.6-1ubuntu2.2) vivid-security; urgency=medium

  * SECURITY UPDATE: denial of service by filling session store
    - debian/patches/CVE-2015-596x.patch: don't create empty sessions in
      django/contrib/sessions/backends/base.py,
      django/contrib/sessions/backends/cached_db.py,
      django/contrib/sessions/middleware.py, added tests to
      django/contrib/sessions/tests.py, updated docs in
      docs/topics/http/sessions.txt. 
    - CVE-2015-5963
    - CVE-2015-5964

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 13 Aug 2015 11:25:02 -0400

python-django (1.7.6-1ubuntu2.1) vivid-security; urgency=medium

  * SECURITY UPDATE: denial of service via empty session records
    - debian/patches/CVE-2015-5143.patch: avoid creating a session record
      when loading the session in
      django/contrib/sessions/backends/cache.py,
      django/contrib/sessions/backends/cached_db.py,
      django/contrib/sessions/backends/db.py,
      django/contrib/sessions/backends/file.py,
      added test to django/contrib/sessions/tests.py.
    - CVE-2015-5143
  * SECURITY UPDATE: header injection via newlines
    - debian/patches/CVE-2015-5144.patch: check for newlines in
      django/core/validators.py, added tests to tests/validators/tests.py.
    - CVE-2015-5144

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 02 Jul 2015 10:53:48 -0400

python-django (1.7.6-1ubuntu2) vivid; urgency=medium

  * SECURITY UPDATE: denial-of-service possibility with strip_tags
    - debian/patches/CVE-2015-2316.patch: fix infinite loop possibility
      in django/utils/html.py, added test to
      tests/utils_tests/test_html.py.
    - CVE-2015-2316
  * SECURITY UPDATE: XSS attack via user-supplied redirect URLs
    - debian/patches/CVE-2015-2317.patch: reject URLs that start with
      control characters in django/utils/http.py, added test to
      tests/utils_tests/test_http.py.
    - CVE-2015-2317

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Mar 2015 10:18:12 -0400

python-django (1.7.6-1ubuntu1) vivid; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/patches/99_fix_multipart_base64_decoding_large_files.patch:
      Fix Multipart base64 file decoding with large files ensuring that the
      actual base64 content has a length a multiple of 4.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 11 Mar 2015 10:28:41 -0400

python-django (1.7.6-1) unstable; urgency=high

  * New upstream security release:
    https://www.djangoproject.com/weblog/2015/mar/09/security-releases/
  * Fixes CVE-2015-2241: XSS attack via properties in
    ModelAdmin.readonly_fields

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 09 Mar 2015 21:40:34 +0100

python-django (1.7.5-1) unstable; urgency=medium

  [ Chris Lamb ]
  * Remove myself from Uploaders.

  [ Raphaël Hertzog ]
  * New upstream bugfix release:
    https://docs.djangoproject.com/en/1.7/releases/1.7.5/

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 06 Mar 2015 21:13:54 +0100

python-django (1.7.4-1ubuntu1) vivid; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/patches/99_fix_multipart_base64_decoding_large_files.patch:
      Fix Multipart base64 file decoding with large files ensuring that the
      actual base64 content has a length a multiple of 4.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2015 20:34:47 +0100

python-django (1.7.4-1) unstable; urgency=medium

  * Release to unstable and hopefully to Jessie too.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 09 Feb 2015 10:39:15 +0100

python-django (1.7.4-1~exp1) experimental; urgency=medium

  * New upstream bugfix release.
  * Drop fix-24193-python34-test-failure.diff, merged upstream.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 28 Jan 2015 09:38:24 +0100

python-django (1.7.3-1~exp1) experimental; urgency=high

  [ Luke Faraone ]
  * New upstream security release.
    - WSGI header spoofing via underscore/dash conflation (CVE-2015-0219)
    - Possible XSS attack via user-supplied redirect URLs (CVE-2015-0220)
    - DoS attack against django.views.static.serve (CVE-2015-0221)
    - Database DoS with ModelMultipleChoiceField (CVE-2015-0222)
    Closes: #775375

  [ Raphaël Hertzog ]
  * Add patch fix-24193-python34-test-failure.diff to fix a test failure with
    Python3.4.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 21 Jan 2015 09:56:19 +0100

python-django (1.7.2-1) experimental; urgency=medium

  [ Raphaël Hertzog ]
  * Add geoip-database-extra as an alternative to geoip-database-contrib.

  [ Brian May ]
  * New upstream version.

 -- Brian May <bam@debian.org>  Mon, 05 Jan 2015 13:57:16 +1100

python-django (1.6.6-1ubuntu3) vivid; urgency=medium

  * SECURITY UPDATE: WSGI header spoofing via underscore/dash conflation
    - debian/patches/CVE-2015-0219.patch: strip headers with underscores in
      django/core/servers/basehttp.py, added blurb to
      docs/howto/auth-remote-user.txt, added test to
      tests/servers/test_basehttp.py.
    - CVE-2015-0219
  * SECURITY UPDATE: Mitigated possible XSS attack via user-supplied
    redirect URLs
    - debian/patches/CVE-2015-0220.patch: filter url in
      django/utils/http.py, added test to tests/utils_tests/test_http.py.
    - CVE-2015-0220
  * SECURITY UPDATE: Denial-of-service attack against
    django.views.static.serve

