=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: python-django
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Luke Faraone <lfaraone@debian.org>,
  Raphaël Hertzog <hertzog@debian.org>,
- Chris Lamb <lamby@debian.org>,
  Brian May <bam@debian.org>
 Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), dh-python, python-all (>= 2.6.6-3~), python3-all, python-sphinx (>= 1.0.8), locales (>= 0),
 # Needed to enable supplementary tests in test suite
-# python-bcrypt, python3-bcrypt, # Not in wheezy
+ python-bcrypt, python3-bcrypt,
  python-docutils, python3-docutils,
  python-numpy, python3-numpy,
-# python-pil, python3-pil, # Not in wheezy
+ python-pil, python3-pil,
  python-yaml, python3-yaml,
  python-tz, python3-tz,
  python-setuptools, python3-setuptools,
 # python-memcache, python3-memcache, memcached, # we can't rely on running daemon
- python-sqlparse,
-# python3-sqlparse, # Not in wheezy
+ python-sqlparse, python3-sqlparse,
 # python-selenium in theory too... but it's not properly packaged
 Build-Depends-Indep: libjs-jquery
 Homepage: http://www.djangoproject.com/
@@ -30,7 +29,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-django-common (= ${binary:Version})
 Recommends: libjs-jquery, python-sqlparse, python-tz
-Suggests: python-psycopg2, python-mysqldb, python-flup, python-sqlite, python-memcache, python-pil, python-bcrypt, python-yaml, geoip-database-contrib, gettext, python-django-doc, ipython, bpython, libgdal1
+Suggests: python-psycopg2, python-mysqldb, python-flup, python-sqlite, python-memcache, python-pil, python-bcrypt, python-yaml, geoip-database-extra | geoip-database-contrib, gettext, python-django-doc, ipython, bpython, libgdal1
 Description: High-level Python web development framework (Python 2 version)
  Django is a high-level web application framework that loosely follows the
  model-view-controller design pattern.
