## python-django 1.7.9

=== debian/changelog ===
python-django (1.7.9-1ubuntu5) wily; urgency=medium

  * d/p/0004-Added-a-dummy-class-for-HTMLParserError.patch: cherry-pick from
    Debian 1.7.10-1 (which was cherry-picked from upstream) to fix FTBFS of
    some reverse dependencies such as python-jingo. This partially restores an
    API accidentally lost by the transition to Python 3.5 so may also fix other
    yet-unknown runtime bugs in dependent packages.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 20 Oct 2015 13:15:00 +0000

python-django (1.7.9-1ubuntu4) wily; urgency=medium

  * debian/patches/pymysql-replacement.patch: Use pymysql as drop in
    replacement for MySQLdb.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 25 Aug 2015 15:06:09 -0400

python-django (1.7.9-1ubuntu3) wily; urgency=medium

  * debian/control: Drop python-mysqldb in favor of python-pymysql.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 24 Aug 2015 11:01:47 -0400

python-django (1.7.9-1ubuntu2) wily; urgency=medium

  * SECURITY UPDATE: denial of service by filling session store
    - debian/patches/CVE-2015-596x.patch: don't create empty sessions in
      django/contrib/sessions/backends/base.py,
      django/contrib/sessions/backends/cached_db.py,
      django/contrib/sessions/middleware.py, added tests to
      django/contrib/sessions/tests.py, updated docs in
      docs/topics/http/sessions.txt. 
    - CVE-2015-5963
    - CVE-2015-5964

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 20 Aug 2015 15:59:13 -0400

python-django (1.7.9-1ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/patches/99_fix_multipart_base64_decoding_large_files.patch:
      Fix Multipart base64 file decoding with large files ensuring that the
      actual base64 content has a length a multiple of 4.
  * Removed patches included in new version:
    - debian/patches/fix_sqlite_ftbfs.patch
    - debian/patches/fix_ftbfs_python2710.patch

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 09 Jul 2015 07:50:08 -0400

python-django (1.7.9-1) unstable; urgency=medium

  * New upstream security release:
    https://www.djangoproject.com/weblog/2015/jul/08/security-releases/
    It fixes:
    - CVE-2015-5143: possible denial-of-service by filling session store
    - CVE-2015-5144: possible header injection since validators accept
      newlines in input

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 09 Jul 2015 01:33:31 +0200

python-django (1.7.7-1ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/patches/99_fix_multipart_base64_decoding_large_files.patch:
      Fix Multipart base64 file decoding with large files ensuring that the
      actual base64 content has a length a multiple of 4.
  * Removed patches included in new version:
    - debian/patches/CVE-2015-2316.patch
    - debian/patches/CVE-2015-2317.patch
  * debian/patches/fix_sqlite_ftbfs.patch: fix FTBFS with newer SQLite.
  * debian/patches/fix_ftbfs_python2710.patch: fix FTBFS with newer python.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 26 Jun 2015 08:58:01 -0400
